---
categories: web
title: Howto NextCloud
...


[NextCloud](https://docs.nextcloud.com/) est un logiciel libre dérivé du logiciel OwnCloud qui permet de stocker des fichiers sur un serveur distant, communément appelé un « cloud ».

Grâce à ses fonctionnalités étendues et aux nombreux plugins qu'il propose (nommés « Apps »), comme le partage de fichiers (même à des utilisateurs non connectés), son calendrier ou son agenda, on peut le transformer en une véritable plateforme collaborative modulaire.

En ce sens, il constitue une alternative libre des plus sérieuses face aux logiciels privateurs comme Google Docs, Drive ou Dropbox.

Documentation Nextcloud officielle : <https://docs.nextcloud.com/>


# Côté client

## Utilisation

Les fichiers stockés sont accessibles :

* Via une interface web ;
* Via le [protocole WebDAV](https://fr.wikipedia.org/wiki/WebDAV) ;
* Via un connecteur de synchronisation disponible sur Linux, Mac et Windows ;
* Via une application [Android](https://nextcloud.fr.aptoide.com/app) ou [iPhone](https://apps.apple.com/fr/app/nextcloud/id1125420102).


### Sur Debian

#### Synchronisation automatique

Pour synchroniser automatiquement vos fichiers entre votre ordinateur et votre instance Nextcloud, il faut installer le paquet Debian [nextcloud-desktop](https://packages.debian.org/stable/nextcloud-desktop).

Le programme s'exécute en tâche de fond et ajoute une icône dans la barre des tâches, à partir de laquelle on peut le configurer. 

S'il n'est pas visible dans la barre des tâches, il faut le lancer manuellement (Menu > Accessoires > Client de synchronisation Nextcloud) et vérifier dans ses paramètres que l'option "Lancer au démarrage du système" est bien cochée.


#### Intégration aux gestionnaires de fichiers

**Todo :**

* _WebDAV ? (à vérifier)_
* _non obligatoire si section précédente_

Des paquets Debian suivants sont disponibles pour l'intégration dans différents gestionnaires de fichiers :

* [Gnome] Nautilus : [nautilus-nextcloud](https://packages.debian.org/stable/nautilus-nextcloud)
* [KDE] Dolphin : [dolphin-nextcloud](https://packages.debian.org/stable/dolphin-nextcloud)
* [Cinnamon, Unity] Nemo : [nemo-nextcloud](https://packages.debian.org/stable/nemo-nextcloud)
* [Mate] Caja : [caja-nextcloud](https://packages.debian.org/stable/caja-nextcloud)


## Administration

### Gestion des droits

Pour gérer proprement des « partages de groupe » il est préférable de créer des partages indépendamment d'un utilisateur.

Le plugin "Group folders" permet de créer des partages via les paramètres d'admin, puis de mettre des droits pour des utilisateurs/groupes.

Si l'on n'a pas ce plugin, un utilisateur peut créer un répertoire et le partager avec des droits... mais ce n'est pas pratique : l'utilisateur pourrait retirer les droits, et l'on peut être embêté si l'on doit supprimer cet utilisateur dans le futur.

Page du plugin : <https://apps.nextcloud.com/apps/groupfolders>


## Dépannage

### Interface web bloquée en mode maintenance

C'est une erreur très courante et anodine, lorsque l'on oublie ou que l'on se trompe lors de la dernière étape de la mise-à-jour via l'interface web.

Cependant, on ne peut pas sortir du mode maintenance, . Pour en sortir, il faut faire appel à votre administrateur qui a un accès au serveur en ligne de commande, et qui va suivre [la procédure ci-dessous](HowtoNextCloud#interface-web-bloquée-en-mode-maintenance-1)


# Côté serveur

Chez Evolix, notre offre [NextCloud SAAS](https://evolix.com/offres-saas.html) fonctionne sur le serveur web Nginx, le serveur de base de données MariaDB et le serveur de cache Redis.


## Installation

Evolix met à votre disposition dans son dépôt public [ansible-roles](https://gitea.evolix.org/evolix/ansible-roles>) un rôle Ansible pour installer automatiquement Nextcloud !

Si vous êtes intéressé.e par d'autres méthodes d'installation :

* Documentation d'installation officielle : <https://docs.nextcloud.com/server/latest/admin_manual/installation>
* La dernière version peut être téléchargée sur <https://download.nextcloud.com/server/releases/>.


## Administration via l'utilitaire `occ` en ligne de commande

NextCloud propose un utilitaire en ligne de commande très bien conçu et nommé `occ`.

Pour l'utiliser, il faut se logger en tant que l'utilisateur de l'instance Nextcloud à administrer, puis se déplacer dans le répertoire de l'instance.

L'utilitaire est écrit en PHP, il exécute donc de la manière suivante, par exemple pour obtenir la liste des commandes :

```
php occ
```


### Interface web bloquée en mode maintenance

C'est une erreur très courante et anodine, lorsque l'on oublie ou que l'on se trompe lors de la dernière étape de la mise-à-jour via l'interface web.

Pour être sûr.e que la mise-à-jour s'est bien déroulée, on peut la relancer :

```
php occ upgrade
```

Puis, on sort du mode maintenance :

```
php occ maintenance:mode --off
```

